%global spirv_llvm_translator_commit 9.0.0-1

Name:           spirv-llvm-translator
Version:        9.0.0
Release:        1%{?dist}

Summary:        LLVM/SPIR-V Bi-Directional Translator
License:        NCSA
Source0:        https://github.com/KhronosGroup/SPIRV-LLVM-Translator/archive/v%{spirv_llvm_translator_commit}/spirv-llvm-translator.tar.gz
BuildRequires:  cmake clang make
BuildRequires:  llvm-devel

%description
This package contains the LLVM/SPIR-V Bi-Directional Translator, a library and tool for translation between LLVM IR and SPIR-V.

%package        devel
Summary:        Development files for spirv-llvm-translator
Requires:       %{name} = %{version}-%{release}
Requires:       llvm%-devel

%description    devel
Development package for spirv-llvm-translator

%prep
%autosetup -n SPIRV-LLVM-Translator-%{spirv_llvm_translator_commit}

%build
mkdir build
cd build
%cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_POSITION_INDEPENDENT_CODE=ON -DCMAKE_BUILD_TYPE=Release
%make_build

%install
cd build
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libLLVMSPIRVLib.so.*

%files devel
%defattr(-,root,root)
/usr/include/LLVMSPIRVLib
%{_libdir}/libLLVMSPIRVLib.so
%{_libdir}/pkgconfig/LLVMSPIRVLib.pc

%changelog
* Wed Oct 30 2019 Jacek Danecki <jacek.danecki@intel.com> - 9.0.0-1
- Package version 9.0.0-1
